{% extends 'property_vacancy_management/building_unit/archive/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/archive/overview_gallery') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/archive/overview_gallery') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if buildingUnits|length > 0 %}
            <div class="row">
                <div class="col-sm-12 col-md-6 mb-4 ms-auto">
                    {% include 'component/mdc_select_component.html.twig' with {
                        'id': 'gallery_sorting_mdc_select',
                        'name': 'gallery_sorting_mdc_select',
                        'label':  'Sortierung',
                        'labelId': 'gallery_sorting',
                        'value': null,
                        'choiceViews':  [
                            {'label': 'Objekt-Nummer aufsteigend', 'value': 'objektnummer_0'},
                            {'label': 'Objekt-Nummer absteigend', 'value': 'objektnummer_1'},
                            {'label': 'Bezeichnung aufsteigend', 'value': 'bezeichnung_0'},
                            {'label': 'Bezeichnung absteigend', 'value': 'bezeichnung_1'},
                            {'label': 'Strasse, HsNr. aufsteigend', 'value': 'strasse_0'},
                            {'label': 'Strasse, HsNr. absteigend', 'value': 'strasse_1'},
                            {'label': 'PLZ Ort, ggf. Stadtteil aufsteigend', 'value': 'plz_0'},
                            {'label': 'PLZ Ort, ggf. Stadtteil absteigend', 'value': 'plz_1'},
                            {'label': '(letzte) Nutzung aufsteigend', 'value': 'nutzung_0'},
                            {'label': '(letzte) Nutzung absteigend', 'value': 'nutzung_1'},
                            {'label': 'Fläche aufsteigend', 'value': 'flaeche_0'},
                            {'label': 'Fläche absteigend', 'value': 'flaeche_1'},
                            {'label': 'Sachbearbeiter:in aufsteigend', 'value': 'sachbearbeiter_0'},
                            {'label': 'Sachbearbeiter:in absteigend', 'value': 'sachbearbeiter_1'},
                            {'label': 'Letzte Änderung aufsteigend', 'value': 'letzte aenderung_0'},
                            {'label': 'Letzte Änderung absteigend', 'value': 'letzte aenderung_1'},
                            {'label': 'Datum Leerstand aufsteigend', 'value': 'leerstand_0'},
                            {'label': 'Datum Leerstand absteigend', 'value': 'leerstand_1'},
                        ],
                        'required': false,
                        'disabled': false
                    } only %}
                </div>
            </div>

            <div class="row g-3 mb-4">
                {% for buildingUnit in buildingUnits %}
                    <div class="col-sm-6 col-md-3">
                        {% include 'property_vacancy_management/component/building_unit/building_unit_card_component.html.twig' with {'buildingUnit': buildingUnit} only %}
                    </div>
                {% endfor %}
                <div class="col-12">
                    <div class="mdc-card">
                        {% include 'component/mdc_data_table_pagination_component.html.twig' with {
                            'id': 'building_unit_overview_gallery_pagination',
                            'numberOfItems': buildingUnits|length,
                            'itemNamePlural': 'Objekte',
                            'selectableValues': [12, 24, 48]
                        } only %}
                    </div>
                </div>
            </div>
        {% else %}
            <div class="mdc-card p-4 text-center mt-3">Leider wurden keine Objekte gefunden</div>
        {% endif %}
    </div>
{% endblock %}
